<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/TypeAnalysis/Kit.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::TypeAnalysis::Kit</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../TypeAnalysis.html" >TypeAnalysis</a>
</div><div class="class-name">class Kit

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/TypeAnalysis/Kit.hh.html" target="detail">../Synopsis/TypeAnalysis/Kit.hh</a></div> <div class="xref"><a href="../../../XRef/xref32.html#Synopsis_mTypeAnalysis_mKit" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Kit.hh.html#line18" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>   <div class="doc"><p>creates and remembers declared types.</p>
</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Kit_l_r">Kit</a>()  </div> <div class="xref"><a href="../../../XRef/xref32.html#Synopsis_mTypeAnalysis_mKit_mKit_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Kit.hh.html#line21" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="Type.html" >Type</a>* <a class="name" id="builtin_lconst.std_mstring_A_r">builtin</a>(const&#160;std::string&amp; <span class="variable">name</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Kit.hh.html#line23" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="Type.html" >Type</a>* <a class="name" id="enum__lconst.std_mstring_A_r">enum_</a>(const&#160;std::string&amp; <span class="variable">name</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Kit.hh.html#line24" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="Type.html" >Type</a>* <a class="name" id="class__lconst.std_mstring_A_r">class_</a>(const&#160;std::string&amp; <span class="variable">name</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Kit.hh.html#line25" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="Type.html" >Type</a>* <a class="name" id="union__lconst.std_mstring_A_r">union_</a>(const&#160;std::string&amp; <span class="variable">name</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Kit.hh.html#line26" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="Type.html" >Type</a>* <a class="name" id="pointer_lconst.Type_S_r">pointer</a>(const&#160;<a href="Type.html" >Type</a>* <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../XRef/xref32.html#Synopsis_mTypeAnalysis_mKit_mpointer_lconst.Type_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Kit.hh.html#line27" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="Type.html" >Type</a>* <a class="name" id="reference_lconst.Type_S_r">reference</a>(const&#160;<a href="Type.html" >Type</a>* <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../XRef/xref32.html#Synopsis_mTypeAnalysis_mKit_mreference_lconst.Type_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Kit.hh.html#line28" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="Type.html" >Type</a>* <a class="name" id="array_lconst.Type_S_r">array</a>(const&#160;<a href="Type.html" >Type</a>* <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../XRef/xref32.html#Synopsis_mTypeAnalysis_mKit_marray_lconst.Type_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Kit.hh.html#line29" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="Type.html" >Type</a>* <a class="name" id="pointer_to_member_lconst.Type_S_cconst.Type_S_r">pointer_to_member</a>(const&#160;<a href="Type.html" >Type</a>* <span class="variable">container</span>, const&#160;<a href="Type.html" >Type</a>* <span class="variable">member</span>)  </div> <div class="xref"><a href="../../../XRef/xref32.html#Synopsis_mTypeAnalysis_mKit_mpointer_to_member_lconst.Type_S_cconst.Type_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Kit.hh.html#line30" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:28:01 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
